package kr.co.jinwoosi.clfd.framework.cd.service;

import kr.co.jinwoosi.clfd.framework.base.service.BaseService;
import kr.co.jinwoosi.clfd.framework.cd.model.CdDtl;

import java.util.List;
import java.util.Map;

public interface CdDtlService extends BaseService<CdDtl, CdDtl> {
	
	Integer existCount (CdDtl cdDtl);
	
	Map<String, List<CdDtl>> selectJson();
	
	List<CdDtl> selectJson(String cdId);
	
	void initJson();

	Integer countChek(CdDtl cdDtl);

	List<CdDtl> selectCdDtlList(String cdId);
	
}
